Debian Bug report logs - #587930
Man page references acronyms which are not repeated later

version graph

Package: grep; Maintainer for grep is Anibal Monsalve Salazar <anibal@debian.org>; Source for grep is src:grep.

Reported by: Chris Butler <chrisb@debian.org>

Date: Fri, 2 Jul 2010 21:48:01 UTC

Severity: minor

Tags: patch

Found in version grep/2.6.3-3

Fixed in version grep/2.8-2

Done: Santiago Ruano Rincón <santiago@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#587930; Package grep. (Fri, 02 Jul 2010 21:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Butler <chrisb@debian.org>:
New Bug report received and forwarded. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Fri, 02 Jul 2010 21:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Chris Butler <chrisb@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Man page references acronyms which are not repeated later
Date: Fri, 2 Jul 2010 22:44:52 +0100
[Message part 1 (text/plain, inline)]
Package: grep
Version: 2.6.3-3
Severity: minor
Tags: patch

In the man page for grep, the description of the -E option reads:

       -E, --extended-regexp
                     Interpret PATTERN as an extended regular expression
                     (ERE, see below).
                      ^^^^^^^^^^^^^^
When I read this, it suggested to me that by searching for "ERE", I would go
straight to the section below that discussed them. However, the acronym is
not repeated again, so this fails. The same goes for "BRE".

My suggestion (patch attached) would be to add the acronyms again at the
beginning of the REGULAR EXPRESSIONS section, to make jumping to that
section in a pager much easier. I also added the PCRE acronym to the
option/description Perl-compatible REs, just for completeness.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_GB.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages grep depends on:
ii  dpkg                      1.15.7.2       Debian package management system
ii  install-info              4.13a.dfsg.1-5 Manage installed documentation in 
ii  libc6                     2.11.2-1       Embedded GNU C Library: Shared lib

grep recommends no packages.

Versions of packages grep suggests:
ii  libpcre3                      7.8-3      Perl 5 Compatible Regular Expressi

-- no debconf information

-- 
Chris Butler <chrisb@debian.org>
  GnuPG Key ID: 4096R/49E3ACD3
[man-ere-reference.patch (text/x-diff, attachment)]

Reply sent to Santiago Ruano Rincón <santiago@debian.org>:
You have taken responsibility. (Tue, 31 May 2011 18:27:10 GMT) Full text and rfc822 format available.

Notification sent to Chris Butler <chrisb@debian.org>:
Bug acknowledged by developer. (Tue, 31 May 2011 18:27:10 GMT) Full text and rfc822 format available.

Message #10 received at 587930-close@bugs.debian.org (full text, mbox):

From: Santiago Ruano Rincón <santiago@debian.org>
To: 587930-close@bugs.debian.org
Subject: Bug#587930: fixed in grep 2.8-2
Date: Tue, 31 May 2011 18:17:13 +0000
Source: grep
Source-Version: 2.8-2

We believe that the bug you reported is fixed in the latest version of
grep, which is due to be installed in the Debian FTP archive:

grep_2.8-2.debian.tar.gz
  to main/g/grep/grep_2.8-2.debian.tar.gz
grep_2.8-2.dsc
  to main/g/grep/grep_2.8-2.dsc
grep_2.8-2_i386.deb
  to main/g/grep/grep_2.8-2_i386.deb
grep_2.8.orig.tar.gz
  to main/g/grep/grep_2.8.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 587930@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Ruano Rincón <santiago@debian.org> (supplier of updated grep package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 31 May 2011 19:05:48 +0200
Source: grep
Binary: grep
Architecture: source i386
Version: 2.8-2
Distribution: unstable
Urgency: low
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Changed-By: Santiago Ruano Rincón <santiago@debian.org>
Description: 
 grep       - GNU grep, egrep and fgrep
Closes: 587930
Changes: 
 grep (2.8-2) unstable; urgency=low
 .
   * Applying patch to improve reference acronyms in man page. Thanks to
     Chris Butler. (Closes: #587930)
   * Bump Standars-Version to 3.9.2. No changes needed
Checksums-Sha1: 
 20d08c41a44693842e836e9cb15d98007c1470dd 1216 grep_2.8-2.dsc
 097bfcbaba8098528d41c75ff4d85384a1006cc8 1757034 grep_2.8.orig.tar.gz
 1d616c7e6d36f590b20b2f9e13ad024390ee44ee 13253 grep_2.8-2.debian.tar.gz
 7d315fbf4d62995def97388c5f0c7bd47ccdd47e 375036 grep_2.8-2_i386.deb
Checksums-Sha256: 
 21c0733fedc8283ceda25f7daed06710d1f6f54e2d9f4c65b8ec6622a6a0db9d 1216 grep_2.8-2.dsc
 da48d0e20bceaacc7d05bfcbccb34c3dee0c50bd7e80de5222fd5e319809af27 1757034 grep_2.8.orig.tar.gz
 72fb70edeaa95c7648f90bf464675781198b784441c0921f8b5f5b9f7f301a79 13253 grep_2.8-2.debian.tar.gz
 3e1e527f3caded911445713e93df0c02210f95a77b09beb434efcc9dc5906cda 375036 grep_2.8-2_i386.deb
Files: 
 9d6d54ffb5fab7ca52f9b1219f366104 1216 utils required grep_2.8-2.dsc
 cb2dfc502c5afc7a4a6e5f6cefd6850e 1757034 utils required grep_2.8.orig.tar.gz
 36e86605c58fb30740cdcad0605a1205 13253 utils required grep_2.8-2.debian.tar.gz
 d59508565744c50365541d2d761b8662 375036 utils required grep_2.8-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3lLJcACgkQQUuEI2/szeBakgCdGNp13kS/FdP+nAJ25IjryrGY
YW4AoIqg2N7zRquKTWbbMqB2AKrujPib
=USvU
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 09 Jul 2011 07:35:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:35:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.